CertificateStoreAppender (Apache Tomcat 11.0.25 API Documentation)
Description: declaration: package: org.apache.catalina.storeconfig, class: CertificateStoreAppender

# Class CertificateStoreAppender

java.lang.Object
org.apache.catalina.storeconfig.StoreAppender
org.apache.catalina.storeconfig.CertificateStoreAppender

public class CertificateStoreAppender extends StoreAppender
Store the Certificate attributes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateStoreAppender()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `checkAttribute(StoreDescription desc, PropertyDescriptor descriptor, String attributeName, Object bean, Object bean2)`
  Check if the attribute should be printed.

  ### Methods inherited from class StoreAppender

  `defaultInstance, isPersistable, isPrintValue, printAttribute, printAttributes, printAttributes, printCloseTag, printIndent, printOpenTag, printTag, printTagArray, printTagContent, printValue`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CertificateStoreAppender

    public CertificateStoreAppender()
    Default constructor.

- ## Method Details

  - ### checkAttribute

    protected Object checkAttribute(StoreDescription desc, PropertyDescriptor descriptor, String attributeName, Object bean, Object bean2)
    Description copied from class: `StoreAppender`
    Check if the attribute should be printed.
    Overrides:
      `checkAttribute` in class `StoreAppender`
    Parameters:
      `desc` - Store description from this bean
      `descriptor` - PropertyDescriptor from this bean property
      `attributeName` - The attribute name to store
      `bean` - The current bean
      `bean2` - A default instance of the bean for comparison
    Returns:
      null if the value should be skipped, the value to print otherwise